using System.Collections.Generic;

namespace Stat.IDAL
{
    public interface IMessage
    {
        bool Insert(Model.Message model);
        bool Update(Model.Message model);
        bool Delete(int id);
        IList<Model.Message> Get(int id);
        /// <summary>
        /// 
        /// </summary>
        /// <returns></returns>
        IList<Model.Message> Get(Model.Message messageModel, ref Model.PageInfo pageModel);
        /// <summary>
        ///
        /// </summary>
        /// <returns></returns>
        IList<Model.Message> Get(int Sum, int IsPass);

    }
}
